<h1 align="center">Disseminate</h1>  
<div style="margin:auto;" align="center">
    <a href="https://www.buymeacoffee.com/hexlocation" target="_blank"><img src="https://www.buymeacoffee.com/assets/img/custom_images/orange_img.png" alt="Buy Me A Coffee" style="height: 41px !important;width: 174px !important;box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;-webkit-box-shadow: 0px 3px 2px 0px rgba(190, 190, 190, 0.5) !important;"></a>
    <a href="https://ci.penhub.nl/repos/1/branches/stable" target="_blank">
        <img src="https://ci.penhub.nl/api/badges/1/status.svg?branch=stable" alt="status-badge" />
    </a>  
</div>


## A short introduction.  
  
*Disseminate* is a blogging platform designed to be lightweight, easy to use & powered by Markdown.
It stems from an issue i've come across, where no blogging platform i could find was:

* easy to deploy.  
* has fast loading times.  
* simple enough for my -10 iq brain.  
  
## State of Project  
  
Disseminate is a work-in-progress, although it is in a more than usable state.
  
## Blogs using Disseminate  
  
* [My own :)](https://penhub.nl)  

## Opening an issue.  
  
Registrations are open again! Unfortunately however, i have to manually accept each account.
Please contact me via:
  
* email (hex@clatter.cc)  
* matrix (@hex:penhub.nl)  
* telegram (@inimitableX)  
* discord (@hex.maybe)

to get your account accepted.
  
## To-do  
  
- [x] [HIGH] Server-side parsing.
- [x] [MEDIUM] Docker build system.
- [x] [MEDIUM] Proper metadata (title, date etc). 
- [x] [MEDIUM] **Automated** prebuilt docker images.
- [ ] [LOW] Caching for faster load times.
- [ ] [LOW] Interface for blog management (web ui?).
- [ ] [LOW] Alternative frontend (solution)? (EJS is pretty primitive!)
